List workspace agents Lists agents for the resolved workspace. Session requests must send x-workspace-handle or x-workspace-id when the user has access to multiple workspaces.
GET /api/v1/experimental/agents
Test Lists agents for the resolved workspace. Session requests must send x-workspace-handle or x-workspace-id when the user has access to multiple workspaces.
cURL
JavaScript
Go
Python
Java
C#curl -X GET "https://loading/api/v1/experimental/agents"
200 400 401 403 500
[
{
"id" : "0c65de2d-728a-4d72-9f4f-9f0d42cfc705" ,
"name" : "Support Assistant" ,
"handle" : "support-assistant" ,
"url" : "/w/acme-growth-team/agents/support-assistant" ,
"description" : "Handles customer support workflows and escalations." ,
"model" : "gpt-5" ,
"capabilities" : {
"webAccess" : true ,
"browserAccess" : true ,
"objectsAccess" : true
},
"createdAt" : "2026-03-11T02:00:00.000Z" ,
"updatedAt" : "2026-03-11T02:00:00.000Z"
}
] {
"issues" : [
{
"_tag" : "Pointer" ,
"path" : [
"string"
],
"message" : "string"
}
],
"message" : "string" ,
"_tag" : "HttpApiDecodeError"
} {
"code" : "authentication_required" ,
"message" : "Authentication required. Send Authorization: Bearer <api-key>, x-api-key, or a signed-in session."
} {
"code" : "insufficient_permissions" ,
"message" : "This API key does not have the required permission." ,
"details" : {
"requiredPermission" : "resource.action"
}
} {
"code" : "internal_error" ,
"message" : "An unexpected server error occurred."
}